Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.resources
Class ResourceHandlerFactory

    java.lang.Object
      org.flexdock.plaf.resources.ResourceHandlerFactory

All Implemented Interfaces:
  XMLConstants

    public class ResourceHandlerFactory

extends Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`ResourceHandlerFactory()`

Method Summary
`static String` | `getPropertyHandler(String propertyType)`
`static ResourceHandler` | `getResourceHandler(String handlerName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHandlerFactory

    public ResourceHandlerFactory()

Method Detail

### getResourceHandler

    public static ResourceHandler getResourceHandler(String handlerName)

### getPropertyHandler

    public static String getPropertyHandler(String propertyType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD